> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Update Salesperson

PATCH https://api.npretail.app/{tenant}/{environment}/{company}/pos/salesperson/{id}
Content-Type: application/json

Updates an existing Salesperson

Reference: https://docs.navipartner.com/apis/api-reference/pos/salesperson/update-salesperson

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `id` (UUID, required) — The id of a salesperson.

### Body (application/json)

This endpoint expects an UpdateSalespersonRequest.

- `name` (string, optional)
- `email` (string, optional)
- `phoneNo` (string, optional)
- `isSupervisor` (boolean, optional)
- `posUnitGroup` (string, optional)
- `registerPassword` (string, optional)

## Response

### 200

- `id` (UUID, required) — The id of a salesperson.
- `code` (string, required) — The code of the Salesperson
- `name` (string, required) — The name of the Salesperson
- `email` (string, required) — The email of the Salesperson
- `phoneNo` (string, required) — The Phone no. of the Salesperson
- `isSupervisor` (boolean, required) — Specifies if it is a Supervisor
- `blocked` (boolean, required) — Specifies if the salesperson is blocked from using the system
- `posUnitGroup` (string, required) — The POS Unit Group of the Salesperson

## Examples

**Request**

```json
{
  "name": "John Doe",
  "email": "john.doe@yahoo.com",
  "phoneNo": "+4512345678",
  "isSupervisor": false,
  "posUnitGroup": "2",
  "registerPassword": "12456"
}
```

**Response**

```json
{
  "id": "fafbee38-fae3-4eec-bbb1-97fed79cac41",
  "code": "12345",
  "name": "John Doe",
  "email": "john.doe@yahoo.com",
  "phoneNo": "+4512345678",
  "isSupervisor": false,
  "blocked": true,
  "posUnitGroup": "2"
}
```

**SDK Code**

```python Example successful update salesperson
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/fafbee38-fae3-4eec-bbb1-97fed79cac41"

payload = {
    "name": "John Doe",
    "email": "john.doe@yahoo.com",
    "phoneNo": "+4512345678",
    "isSupervisor": False,
    "posUnitGroup": "2",
    "registerPassword": "12456"
}
headers = {
    "x-np-api-key": "<NaviPartner API Key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example successful update salesperson
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/fafbee38-fae3-4eec-bbb1-97fed79cac41';
const options = {
  method: 'PATCH',
  headers: {'x-np-api-key': '<NaviPartner API Key>', 'Content-Type': 'application/json'},
  body: '{"name":"John Doe","email":"john.doe@yahoo.com","phoneNo":"+4512345678","isSupervisor":false,"posUnitGroup":"2","registerPassword":"12456"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example successful update salesperson
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/fafbee38-fae3-4eec-bbb1-97fed79cac41"

	payload := strings.NewReader("{\n  \"name\": \"John Doe\",\n  \"email\": \"john.doe@yahoo.com\",\n  \"phoneNo\": \"+4512345678\",\n  \"isSupervisor\": false,\n  \"posUnitGroup\": \"2\",\n  \"registerPassword\": \"12456\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example successful update salesperson
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/fafbee38-fae3-4eec-bbb1-97fed79cac41")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"John Doe\",\n  \"email\": \"john.doe@yahoo.com\",\n  \"phoneNo\": \"+4512345678\",\n  \"isSupervisor\": false,\n  \"posUnitGroup\": \"2\",\n  \"registerPassword\": \"12456\"\n}"

response = http.request(request)
puts response.read_body
```

```java Example successful update salesperson
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/fafbee38-fae3-4eec-bbb1-97fed79cac41")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"John Doe\",\n  \"email\": \"john.doe@yahoo.com\",\n  \"phoneNo\": \"+4512345678\",\n  \"isSupervisor\": false,\n  \"posUnitGroup\": \"2\",\n  \"registerPassword\": \"12456\"\n}")
  .asString();
```

```php Example successful update salesperson
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/fafbee38-fae3-4eec-bbb1-97fed79cac41', [
  'body' => '{
  "name": "John Doe",
  "email": "john.doe@yahoo.com",
  "phoneNo": "+4512345678",
  "isSupervisor": false,
  "posUnitGroup": "2",
  "registerPassword": "12456"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Example successful update salesperson
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/fafbee38-fae3-4eec-bbb1-97fed79cac41");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"John Doe\",\n  \"email\": \"john.doe@yahoo.com\",\n  \"phoneNo\": \"+4512345678\",\n  \"isSupervisor\": false,\n  \"posUnitGroup\": \"2\",\n  \"registerPassword\": \"12456\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example successful update salesperson
import Foundation

let headers = [
  "x-np-api-key": "<NaviPartner API Key>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "John Doe",
  "email": "john.doe@yahoo.com",
  "phoneNo": "+4512345678",
  "isSupervisor": false,
  "posUnitGroup": "2",
  "registerPassword": "12456"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/salesperson/fafbee38-fae3-4eec-bbb1-97fed79cac41")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```